if {[info exists ::env(SWDIF)]} {
    if {$::env(SWDIF) eq "JLINK"} {
	puts "Using JLINK"
	source [find atm_jlink.tcl]
    } else {
	error [format "Unknown SWDIF=%s setting" $::env(SWDIF)]
    }
} else {
    puts "Using FTDI"
    source [find atm_ftdi.tcl]
}

if {![info exists ::env(FTDI_HARD_RESET)]} {
    source [find m0_cpu.tcl]
}

proc set_reset {} {
    assert_pwd
}

proc release_reset {} {
    deassert_pwd
}

proc set_benign_boot {} {
    assert_bboot
}

proc set_normal_boot {} {
    deassert_bboot
}

# Tested as high as 20000, but openocd complains a lot when the
# AHB bus is busy (ex: when running from flash)
set _SWD_KHZ [expr {[info exists ::env(SYDNEY_SWD_KHZ)] ? $::env(SYDNEY_SWD_KHZ) : 1000}]
adapter speed $_SWD_KHZ

gdb_port disabled
telnet_port disabled
tcl_port disabled

source [find atm_top.tcl]
